Reset password
POST
/api/v1/auth/reset-password
const url = 'https://api.ultimateteam.ai/api/v1/auth/reset-password';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"new_password":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/auth/reset-password \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "new_password": "example", "token": "example" }'Reset a user’s password using a valid reset token.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ResetPasswordRequest
Request body for the reset-password endpoint.
Attributes: token: The password reset token from the email link. new_password: The new password (min 8 characters).
object
new_password
required
New Password
New password (min 8 chars)
string
token
required
Token
Password reset token
string
Examplegenerated
{ "new_password": "example", "token": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ResetPasswordResponse
Response body for the reset-password endpoint.
Attributes: message: A success message.
object
message
required
Message
string
Examplegenerated
{ "message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}